Subject: Re: bug#55439: [PATCH] Add support for the Modi script

From: समीर सिंह Sameer Singh<[email-masked]>
Date: Wed, 18 May 2022 09:11:27 +0530

Rereading my previous email, I think its tone may come across as rude/angry.
It was not my intention. It is hard to properly convey a tone with text. I
am sorry.

With all due respect for the work that you are doing Sameer, I would
> like to disagree here. People often speak like this - "this is written
> in Marathi, Hindi, Nepali". While they are referring to the language but
> most people don’t know the underlying script name.
>

At Least according to me, if someone is unfamiliar with the term
Devanagari, he can easily look up what it means or look at the text to its
right and infer the meaning from that.

Rather I would suggest that we add new aliases for Devanagari - like
> Marathi, Nepali... whichever language is using the same script.
>

Devanagari is a widely used script, many languages use it, such as:
Konkani, Bodo, Rajasthani, Hariyanvi, Bhojpuri, Maithili, Newa, Kashmiri,
Dogri, Kumaoni etc.
Therefore it is better to write just one entry that demonstrates that Emacs
supports this character set, after all this is the main purpose of
etc/HELLO.

On Wed, May 18, 2022 at 8:40 AM Pankaj Jangid <[email-masked]>
wrote:

> समीर सिंह Sameer Singh <[email-masked]> writes:
>
> >>
> >> I agree that this change is correct, but let's not ever delete the old
> >> name "Hindi".  Keeping an old alias does no harm.
> >>
> >
> > Hindi is not an alias, it is an incorrect term.
> > No one is using Hindi to refer to the Devanagari script, therefore I
> think
> > it should not be readded.
>
> With all due respect for the work that you are doing Sameer, I would
> like to disagree here. People often speak like this - "this is written
> in Marathi, Hindi, Nepali". While they are referring to the language but
> most people don’t know the underlying script name.
>
> Rather I would suggest that we add new aliases for Devanagari - like
> Marathi, Nepali... whichever language is using the same script.
>
>
>
>
>